public class Locale { 
    static final String cp1256ToUnicode = 
        "\u20AC\u067E\u201A\u0192\u201E\u2026\u2020\u2021\u02C6\u2030\u0679\u2039\u0152\u0686\u0698\u0688\u06AF\u2018\u2019\u201C\u201D\u2022\u2013\u2014\u06A9\u2122\u0691\u203A\u0153\u200C\u200D\u06BA\u00A0\u060C\u00A2\u00A3\u00A4\u00A5\u00A6\u00A7\u00A8\u00A9\u06BE\u00AB\u00AC\u00AD\u00AE\u00AF\u00B0\u00B1\u00B2\u00B3\u00B4\u00B5\u00B6\u00B7\u00B8\u00B9\u061B\u00BB\u00BC\u00BD\u00BE\u061F\u06C1\u0621\u0622\u0623\u0624\u0625\u0626\u0627\u0628\u0629\u062A\u062B\u062C\u062D\u062E\u062F\u0630\u0631\u0632\u0633\u0634\u0635\u0636\u00D7\u0637\u0638\u0639\u063A\u0640\u0641\u0642\u0643\u00E0\u0644\u00E2\u0645\u0646\u0647\u0648\u00E7\u00E8\u00E9\u00EA\u00EB\u0649\u064A\u00EE\u00EF\u064B\u064C\u064D\u064E\u00F4\u064F\u0650\u00F7\u0651\u00F9\u0652\u00FB\u00FC\u200E\u200F\u06D2";

    static String decodeString(byte[] buf) { 
        char[] chars = new char[buf.length];
        for (int i = 0; i < buf.length; i++) { 
            byte b = buf[i];
            chars[i] = b >= 0 ? (char)b : cp1256ToUnicode.charAt(b & 0x7F);
        }
        return new String(chars);
    }
    
    static final String QUIT = "Quit";
    static final String BACK = "Back";
    static final String ZOOM_IN = "+Zoom In";
    static final String ZOOM_OUT = "-Zoom Out";
    static final String SEARCH = "Search";
    static final String INDEX = "Index";
    static final String START_POINT = "Start point";
    static final String FINISH_POINT = "Finish point";
    static final String SHORTEST_ROUTE = "Shortest route";
    static final String FASTEST_ROUTE = "Fastest route";
    static final String SEARCH_PATTERN = "Street prefix";
    static final String SEARCH_RESULT = "Search result";
    static final String RESET = "Reset";
    static final String HELP = "Help";
    static final String ERROR = "Error";
    static final String NO_OBJECT = "No Object";
    static final String NO_ROUTE = "Route not found";
    static final String START_POINT_SET = "Start point is set";
    static final String FINISH_POINT_SET = "Finish point is set";
    static final String START_POINT_IS_NOT_SET = "Start point is not set";
    static final String FINISH_POINT_IS_NOT_SET = "Finish point is not set";
    static final String CONFIRMATION = "Confirmation";
    static final String METRO = "Metro";
    static final String STEET = "Street";
    static final String TIME = "Time";
    static final String DISTANCE= "Distance";
    static final String EXPLAIN_ROUTE = "Explain route";

    static final boolean HORIZONTAL_STREET_NAMES = false;

    static final String[] OBJECT_TYPE = { 
        "Street",
        "Region",
        "Metro station",
        "Shop",
        "Restaurant",
        "Bank",
        "Monument",
        "Parking",
        "Museum",
        "Tourist Info",
        "Fast Food",
        "Theatre",
        "Cinima",
        "Club",
        "Auto",
        "Gas",
        "Train",
        "Embassy",
        "Police",
        "Hospital",
        "Hotel",
        "Park",
        "River",
        "Building"
    };
 

    static final String HELP_TEXT = 
                "[1] left+up\n" + 
                "[2] up\n" + 
                "[3] right+up\n" + 
                "[4] left\n" + 
                "[5] search\n" + 
                "[6] right\n" + 
                "[7] left+down\n" + 
                "[8] down\n" + 
                "[9] right+down\n" + 
                "[*] zoom in\n" + 
                "[0] all city\n" + 
                "[#] zoom out\n";            
}


