public class LatitudeLongitudeGrid implements Grid { 
    public double distance(Point p, Point q) { 
        double fPhimean;
        double fdLambda;
        double fdPhi;
        double fAlpha;
        double fRho;
        double fNu;
        double fR;
        double fz;
        double fTemp;

        double StartLat  = p.y;
        double StartLong = p.x;
        double EndLat    = q.y;
        double EndLong   = q.x;

        final double D2R = 0.017453;
        final double R2D = 57.295781;
        final double a = 6378137.0;
        final double b = 6356752.314245;
        final double e2 = 0.006739496742337;
        final double f = 0.003352810664747;
        
        fdLambda = (StartLong - EndLong) * D2R;
        fdPhi = (StartLat - EndLat) * D2R;
        fPhimean = ((StartLat + EndLat) / 2.0) * D2R;
        
        fTemp = 1 - e2 * (Math.pow(Math.sin(fPhimean), 2));
        fRho = (a * (1 - e2)) / Math.pow(fTemp, 1.5);
        fNu = a / (Math.sqrt(1 - e2 * (Math.sin(fPhimean) * Math.sin(fPhimean))));
        
        fz =
            Math.sqrt(Math.pow(Math.sin(fdPhi / 2.0), 2) + Math.cos(EndLat * D2R) * Math.cos(StartLat * D2R) *
                       Math.pow(Math.sin(fdLambda / 2.0), 2));
        
        fz = 2 * Math.asin(fz);

        fAlpha = Math.cos(EndLat * D2R) * Math.sin(fdLambda) * 1 / Math.sin(fz);
        fAlpha = Math.asin(fAlpha);
        
        fR = (fRho * fNu) / ((fRho * Math.pow(Math.sin(fAlpha), 2)) 
                             + (fNu * Math.pow(Math.cos(fAlpha), 2)));
        
        return (fz * fR);
    }
}
        