import javax.microedition.lcdui.*;
import java.util.*;

public class CategoryList extends List implements CommandListener { 
    MapCanvas   canvas;
    int         type;
    Displayable parent; 

    CategoryList(MapCanvas canvas, Displayable parent, int type) { 
        super(Locale.OBJECT_TYPE[type], IMPLICIT);
        this.canvas = canvas;
        this.type = type;
        this.parent = parent;
        MobileMap map = canvas.main;
        Street[] streets = map.streets;
        for (int i = 0; i < streets.length; i++) { 
            if (streets[i].type == type) { 
                append(StreetList.extractName(streets[i].name), map.objectTypeIcons[type]);
            }
        }
        setCommandListener(this);
        addCommand(MobileMap.BACK_CMD);        
        Display.getDisplay(map).setCurrent(this);
    }
    
    public void commandAction(Command c, Displayable d)  
    {
        if (c != MobileMap.BACK_CMD) { 
            int i =  getSelectedIndex();
            if (i >= 0) { 
                Street[] streets = canvas.main.streets;
                int type = this.type;
                for (int j = 0; j < streets.length; j++) { 
                    if (streets[j].type == type) { 
                        if (i == 0) { 
                            canvas.selectStreet(j);
                            Display.getDisplay(canvas.main).setCurrent(canvas);
                            return;
                        } 
                        i -= 1;
                    }
                }
            }
        }
        Display.getDisplay(canvas.main).setCurrent(parent);
    }
}    