import javax.microedition.lcdui.*;
import java.util.*;

public class StreetList extends List implements CommandListener { 
    MapCanvas canvas;
    int       index;

    static String extractName(String s) { 
        int i = s.indexOf('\n');
        return i >= 0 ? s.substring(0, i) : s;
    }

    StreetList(MapCanvas canvas, int from, int till) { 
        super(Locale.SEARCH_RESULT, IMPLICIT);
        this.canvas = canvas;
        index = from;
        Street[] streets = canvas.main.streets;
        for (int i = from; i < till; i++) { 
            append(extractName(streets[i].name), null);
        }
        setCommandListener(this);
        addCommand(MobileMap.BACK_CMD);        
        Display.getDisplay(canvas.main).setCurrent(this);
    }
    
    public void commandAction(Command c, Displayable d)  
    {
        canvas.selectStreet(c == MobileMap.BACK_CMD ? -1 : index + getSelectedIndex());
        Display.getDisplay(canvas.main).setCurrent(canvas);
    }
}